package com.plannaplan.controllers;

import com.plannaplan.App;
import com.plannaplan.entities.Course;
import com.plannaplan.responses.mappers.CoursesResponseMappers;
import com.plannaplan.responses.models.GetCoursesResponse;
import com.plannaplan.responses.models.GetCoursesWithGroupsResponse;
import com.plannaplan.services.CourseService;
import com.plannaplan.services.UserService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.security.config.annotation.method.configuration.EnableGlobalMethodSecurity;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

@RestController
@CrossOrigin
@RequestMapping("/api/" + App.API_VERSION + "/students")
@EnableGlobalMethodSecurity(prePostEnabled = true)
public class StudentsController {
    @Autowired
    private UserService userService;

    @GetMapping("/searchForUsers")
    @PreAuthorize("hasRole('ROLE_DEANERY')")

    public ResponseEntity<String> configApp(@RequestParam("query") String query) {
        return new ResponseEntity<>(HttpStatus.OK);
    }
}
